/* Grundlegendes Styling für den Hintergrund */
body {
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  background-color: #212529;
  color: white;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100vh;
  margin: 0;
}

/* Styling für das Eingabefeld */
.server-address {
  padding: 12px 20px;
  font-size: 16px;
  border: 2px solid #333;
  border-radius: 80px;
  background-color: #1e1e1e;
  color: white;
  width: 200px;
  margin-bottom: 15px;
}

.server-address:focus {
  outline: none;
  border-color: #5271ff;
}

/* Styling für den Button */
button {
  padding: 12px 25px;
  font-size: 16px;
  font-weight: bold;
  cursor: pointer;
  background-color: #52ff5e;
  color: white;
  border: none;
  border-radius: 80px;
  margin-bottom: 25px;
}

button:hover {
  background-color: #0c6816;
}

button:active {
  transform: scale(0.98);
}

/* Styling für das Server-Icon */
.server-img {
  width: 120px;
  height: 120px;
  border-radius: 12px;
  object-fit: cover;
  transition: transform 0.3s ease, box-shadow 0.3s ease; 
  cursor: pointer;
}

.server-img:hover {
  transform: scale(1.20);
  transition: transform 0.3s ease;
}

.server-img.zoom {
  transform: scale(5.5);
  box-shadow: 0 10px 50px rgba(0, 0, 0, 0.8);
  z-index: 100;
  position: relative;
}
